Skip to main content
POST
/
api
/
v1
/
verification
/
document_verification
Document Verification V2 Beta
curl --request POST \
  --url https://{environment-subdomain}.idmetagroup.com/api/v1/verification/document_verification \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "imageFrontSide": "base64string_of_front_image",
  "imageBackSide": "base64string_of_back_image",
  "template_id": "{your_trust_flow_id}",
  "verification_id": "{your_created_verification_id}"
}
'
{
  "processingStatus": "Completed",
  "verification": {
    "certaintyLevel": "High",
    "recommendedOutcome": "Accept",
    "type": "DetailedCheck",
    "result": "Pass",
    "performedChecks": 21
  },
  "checks": [
    {
      "certaintyLevel": "High",
      "type": "DetailedCheck",
      "name": "ExtractedDataCheck",
      "result": "Pass",
      "checks": [
        {
          "matchLevel": "Unknown",
          "type": "TieredCheck",
          "name": "MatchCheck",
          "result": "NotPerformed",
          "checks": [
            {
              "field": "FirstName",
              "type": "FieldCheck",
              "result": "NotPerformed"
            },
            {
              "field": "LastName",
              "type": "FieldCheck",
              "result": "NotPerformed"
            }
          ]
        }
      ]
    }
  ],
  "processIndicators": [
    {
      "name": "Clarity",
      "type": "ImageQuality",
      "result": "Pass"
    },
    {
      "name": "HandPresence",
      "type": "ScanProcess",
      "result": "Fail"
    }
  ],
  "extraction": {
    "processingStatus": "Success",
    "recognitionStatus": "Valid",
    "overall": [
      {
        "side": "Unknown",
        "script": "Latin",
        "value": "IRWANSYAH",
        "type": "DetailedStringResult",
        "field": "FullName"
      }
    ],
    "classInfo": {
      "country": "Indonesia",
      "type": "Id",
      "region": "None",
      "isoAlpha3CountryCode": "IDN",
      "isoAlpha2CountryCode": "ID",
      "isoNumericCountryCode": "360"
    }
  },
  "messages": [],
  "runtime": {
    "startedOn": "2026-01-05T04:36:03.0658877Z",
    "finishedOn": "2026-01-05T04:36:05.3217568Z",
    "elapsedMs": 2255,
    "serviceVersion": "3.17.2"
  },
  "images": [
    {
      "name": "FullDocumentFrontImage",
      "base64": "IMAGE_URL"
    },
    {
      "name": "SignatureImage",
      "base64": "IMAGE_URL"
    },
    {
      "name": "FaceImage",
      "base64": "IMAGE_URL"
    }
  ],
  "optionsUsed": {
    "screenMatchLevel": "Level1",
    "photocopyMatchLevel": "Level1",
    "sideMode": "FrontOnly"
  },
  "useCaseUsed": {
    "documentVerificationPolicy": "Permissive",
    "verificationContext": "Remote",
    "manualReviewStrategy": "Never",
    "manualReviewSensitivity": "Low",
    "captureConditions": "NoControl"
  },
  "riskRating": "LOW"
}

Documentation Index

Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt

Use this file to discover all available pages before exploring further.

When the request fails validation or image quality checks, the API may return an error whose message matches one of the entries below.
DescriptionMessage
Document uploaded is not an imageThe image front side must be an image.
Failure to upload front imageSomething went wrong
Failure to upload back imageSomething went wrong regarding back image status
Invalid front/back image extensionInvalid Image, only JPG, JPEG and PNG are allowed
Image uploaded is croppedThe provided document is fully cropped which is not in line with image quality guidelines.
Image extraction failure due to image qualityUnable to process due to extraction failure. Providing better-quality front and back images might solve this issue. Ensure the images are not cropped and that all edges are visible.
Missing front side imageThe image front side field is required.

Authorizations

Authorization
string
header
required

Use Bearer {your_api_token} in the Authorization header.

Headers

Accept
string
default:application/json
Content-Type
string
default:application/json

Body

application/json
imageFrontSide
string
required

Base64 string for the front-side document image.

template_id
string
required

Identifier used to categorize or group requests for tracking or reporting.

verification_id
string
required

A unique ID used to identify your verification request.

imageBackSide
string

Base64 string for the back-side document image.

Response

200 - application/json

Document verification completed successfully

processingStatus
string
verification
object
checks
object[]
processIndicators
object[]
extraction
object
messages
object[]
runtime
object
images
object[]
optionsUsed
object
useCaseUsed
object
riskRating
string

Overall risk rating for the document verification result (for example LOW, MEDIUM, HIGH).